<?php

if (!defined('IN_PHPBB'))
{
	exit;
}

// Set update info with file structure to update
$update_info = array(
	'version'	=> array('from' => '3.3.1', 'to' => '3.3.3'),
	'files'		=> array(
		'adm/style/acp_main.html',
		'adm/style/acp_search.html',
		'adm/style/admin.js',
		'composer.json',
		'composer.lock',
		'config/.htaccess',
		'config/default/container/services_cron.yml',
		'config/default/container/services_feed.yml',
		'config/default/container/services_notification.yml',
		'config/default/container/services_text_reparser.yml',
		'images/avatars/upload/.htaccess',
		'includes/.htaccess',
		'includes/acp/acp_board.php',
		'includes/acp/acp_icons.php',
		'includes/acp/acp_main.php',
		'includes/acp/acp_search.php',
		'includes/acp/acp_words.php',
		'includes/acp/auth.php',
		'includes/constants.php',
		'includes/functions.php',
		'includes/functions_acp.php',
		'includes/functions_admin.php',
		'includes/functions_compatibility.php',
		'includes/functions_content.php',
		'includes/functions_jabber.php',
		'includes/functions_posting.php',
		'includes/functions_user.php',
		'includes/mcp/mcp_main.php',
		'includes/ucp/ucp_pm_compose.php',
		'includes/ucp/ucp_profile.php',
		'includes/ucp/ucp_register.php',
		'index.php',
		'language/de/README.md',
		'language/de/acp/board.php',
		'language/de/acp/common.php',
		'language/de/captcha_recaptcha.php',
		'language/de/common.php',
		'language/de/email/report_closed.txt',
		'language/de/email/report_pm_closed.txt',
		'language/de/install.php',
		'language/de/posting.php',
		'language/de/ucp.php',
		'language/de_x_sie/README.md',
		'language/de_x_sie/acp/board.php',
		'language/de_x_sie/acp/common.php',
		'language/de_x_sie/captcha_recaptcha.php',
		'language/de_x_sie/common.php',
		'language/de_x_sie/email/report_closed.txt',
		'language/de_x_sie/email/report_pm_closed.txt',
		'language/de_x_sie/install.php',
		'language/de_x_sie/posting.php',
		'language/de_x_sie/ucp.php',
		'language/en/acp/common.php',
		'language/en/captcha_recaptcha.php',
		'language/en/common.php',
		'language/en/email/report_closed.txt',
		'language/en/email/report_pm_closed.txt',
		'language/en/install.php',
		'language/en/posting.php',
		'language/en/ucp.php',
		'mcp.php',
		'phpbb/attachment/delete.php',
		'phpbb/attachment/resync.php',
		'phpbb/attachment/upload.php',
		'phpbb/captcha/plugins/recaptcha_v3.php',
		'phpbb/config/config.php',
		'phpbb/console/command/update/check.php',
		'phpbb/content_visibility.php',
		'phpbb/controller/helper.php',
		'phpbb/controller/resolver.php',
		'phpbb/cron/event/cron_runner_listener.php',
		'phpbb/cron/manager.php',
		'phpbb/db/driver/driver_interface.php',
		'phpbb/db/driver/factory.php',
		'phpbb/db/driver/mssql_base.php',
		'phpbb/db/driver/mysqli.php',
		'phpbb/db/driver/oracle.php',
		'phpbb/db/driver/postgres.php',
		'phpbb/db/driver/sqlite3.php',
		'phpbb/db/extractor/mssql_extractor.php',
		'phpbb/db/extractor/mysql_extractor.php',
		'phpbb/db/extractor/postgres_extractor.php',
		'phpbb/db/extractor/sqlite3_extractor.php',
		'phpbb/db/migration/data/.htaccess',
		'phpbb/db/migration/data/v32x/v3211.php',
		'phpbb/db/migration/data/v33x/remove_profilefield_aol.php',
		'phpbb/db/migration/data/v33x/v332.php',
		'phpbb/db/migration/data/v33x/v332rc1.php',
		'phpbb/db/migration/data/v33x/v333.php',
		'phpbb/db/migration/data/v33x/v333rc1.php',
		'phpbb/db/migration/tool/permission.php',
		'phpbb/db/tools/postgres.php',
		'phpbb/di/container_builder.php',
		'phpbb/di/extension/container_configuration.php',
		'phpbb/di/service_collection.php',
		'phpbb/error_collector.php',
		'phpbb/feed/attachments_base.php',
		'phpbb/feed/controller/feed.php',
		'phpbb/feed/helper.php',
		'phpbb/files/upload.php',
		'phpbb/filesystem/filesystem.php',
		'phpbb/group/helper.php',
		'phpbb/install/console/command/install/install.php',
		'phpbb/install/console/command/update/update.php',
		'phpbb/install/controller/helper.php',
		'phpbb/install/helper/container_factory.php',
		'phpbb/install/helper/database.php',
		'phpbb/install/helper/iohandler/factory.php',
		'phpbb/install/installer.php',
		'phpbb/install/installer_configuration.php',
		'phpbb/install/module/install_data/task/add_modules.php',
		'phpbb/install/module/install_data/task/create_search_index.php',
		'phpbb/install/module/install_finish/task/notify_user.php',
		'phpbb/install/module/obtain_data/task/obtain_admin_data.php',
		'phpbb/install/module/obtain_data/task/obtain_board_data.php',
		'phpbb/install/module/obtain_data/task/obtain_database_data.php',
		'phpbb/install/module/obtain_data/task/obtain_file_updater_method.php',
		'phpbb/install/module/obtain_data/task/obtain_update_ftp_data.php',
		'phpbb/install/module/obtain_data/task/obtain_update_settings.php',
		'phpbb/install/module/requirements/task/check_server_environment.php',
		'phpbb/install/updater_configuration.php',
		'phpbb/language/language.php',
		'phpbb/language/language_file_loader.php',
		'phpbb/module/module_manager.php',
		'phpbb/notification/method/email.php',
		'phpbb/notification/method/messenger_base.php',
		'phpbb/notification/type/forum.php',
		'phpbb/notification/type/post.php',
		'phpbb/notification/type/report_pm.php',
		'phpbb/notification/type/report_pm_closed.php',
		'phpbb/notification/type/report_post_closed.php',
		'phpbb/profilefields/manager.php',
		'phpbb/report/controller/report.php',
		'phpbb/report/exception/factory_invalid_argument_exception.php',
		'phpbb/report/exception/invalid_report_exception.php',
		'phpbb/report/handler_factory.php',
		'phpbb/report/report_handler.php',
		'phpbb/report/report_handler_pm.php',
		'phpbb/report/report_handler_post.php',
		'phpbb/request/deactivated_super_global.php',
		'phpbb/request/request.php',
		'phpbb/request/request_interface.php',
		'phpbb/session.php',
		'phpbb/template/twig/extension.php',
		'phpbb/template/twig/twig.php',
		'phpbb/textformatter/s9e/bbcode_merger.php',
		'phpbb/textformatter/s9e/factory.php',
		'phpbb/textformatter/s9e/utils.php',
		'phpbb/textformatter/utils_interface.php',
		'phpbb/textreparser/plugins/poll_option.php',
		'phpbb/ucp/controller/reset_password.php',
		'posting.php',
		'styles/all/imgs/svg/phpbb_logo_large_cosmic.svg',
		'styles/all/template/feed.xml.twig',
		'styles/prosilver/style.cfg',
		'styles/prosilver/template/bbcode.html',
		'styles/prosilver/template/forum_fn.js',
		'styles/prosilver/template/posting_attach_body.html',
		'styles/prosilver/template/ucp_agreement.html',
		'styles/prosilver/template/ucp_pm_viewmessage.html',
		'styles/prosilver/template/ucp_profile_autologin_keys.html',
		'styles/prosilver/template/ucp_reset_password.html',
		'styles/prosilver/template/viewforum_body.html',
		'styles/prosilver/theme/content.css',
		'styles/prosilver/theme/responsive.css',
		'styles/prosilver/theme/stylesheet.css',
		'viewforum.php',
	),
	'binary'		=> array(),
	'deleted'		=> array(
		'phpbb/db/migration/data/v30x/.htaccess',
		'phpbb/db/migration/data/v310/.htaccess',
		'phpbb/db/migration/data/v31x/.htaccess',
		'phpbb/db/migration/data/v320/.htaccess',
		'phpbb/db/migration/data/v32x/.htaccess',
		'phpbb/db/migration/data/v330/.htaccess',
		'phpbb/db/migration/data/v33x/.htaccess',
		'phpbb/install/module/install_database/task/create_schema.php',
	),
);
